org.sqlite.core

## Class CoreDatabaseMetaData

- java.lang.Object
- - org.sqlite.core.CoreDatabaseMetaData

Direct Known Subclasses:
  JDBC3DatabaseMetaData

    public abstract class CoreDatabaseMetaData
    extends Object

### Field Summary

Fields
`protected SQLiteConnection` `conn`
`protected PreparedStatement` `getAttributes`
`protected PreparedStatement` `getBestRowIdentifier`
`protected PreparedStatement` `getCatalogs`
`protected PreparedStatement` `getColumnPrivileges`
`protected PreparedStatement` `getColumnsTblName`
`protected PreparedStatement` `getGeneratedKeys` Used to save generating a new statement every call.
`protected PreparedStatement` `getIndexInfo`
`protected PreparedStatement` `getProcedureColumns`
`protected PreparedStatement` `getProcedures`
`protected PreparedStatement` `getSchemas`
`protected PreparedStatement` `getSuperTables`
`protected PreparedStatement` `getSuperTypes`
`protected PreparedStatement` `getTablePrivileges`
`protected PreparedStatement` `getTables`
`protected PreparedStatement` `getTableTypes`
`protected PreparedStatement` `getTypeInfo`
`protected PreparedStatement` `getUDTs`
`protected PreparedStatement` `getVersionColumns`
`protected static Pattern` `PK_NAMED_PATTERN` Pattern used to extract a named primary key.
`protected static Pattern` `PK_UNNAMED_PATTERN` Pattern used to extract column order for an unnamed primary key.
`int` `refCount` Reference count.

### Constructor Summary

Constructors
`protected` `CoreDatabaseMetaData(SQLiteConnection conn)` Constructor that applies the Connection object.

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`protected void` `checkOpen()`
`void` `close()`
`protected String` `escape(String val)` Applies SQL escapes for special characters in a given string.
`protected void` `finalize()`
`abstract ResultSet` `getGeneratedKeys()`
`protected static String` `quote(String tableName)` Adds SQL string quotes to the given string.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### conn

    protected SQLiteConnection conn

#### getTables

    protected PreparedStatement getTables

#### getTableTypes

    protected PreparedStatement getTableTypes

#### getTypeInfo

    protected PreparedStatement getTypeInfo

#### getCatalogs

    protected PreparedStatement getCatalogs

#### getSchemas

    protected PreparedStatement getSchemas

#### getUDTs

    protected PreparedStatement getUDTs

#### getColumnsTblName

    protected PreparedStatement getColumnsTblName

#### getSuperTypes

    protected PreparedStatement getSuperTypes

#### getSuperTables

    protected PreparedStatement getSuperTables

#### getTablePrivileges

    protected PreparedStatement getTablePrivileges

#### getIndexInfo

    protected PreparedStatement getIndexInfo

#### getProcedures

    protected PreparedStatement getProcedures

#### getProcedureColumns

    protected PreparedStatement getProcedureColumns

#### getAttributes

    protected PreparedStatement getAttributes

#### getBestRowIdentifier

    protected PreparedStatement getBestRowIdentifier

#### getVersionColumns

    protected PreparedStatement getVersionColumns

#### getColumnPrivileges

    protected PreparedStatement getColumnPrivileges

#### getGeneratedKeys

    protected PreparedStatement getGeneratedKeys

Used to save generating a new statement every call.

#### refCount

    public int refCount

Reference count.

#### PK_UNNAMED_PATTERN

    protected static final Pattern PK_UNNAMED_PATTERN

Pattern used to extract column order for an unnamed primary key.

#### PK_NAMED_PATTERN

    protected static final Pattern PK_NAMED_PATTERN

Pattern used to extract a named primary key.

### Constructor Detail

#### CoreDatabaseMetaData

    protected CoreDatabaseMetaData(SQLiteConnection conn)

Constructor that applies the Connection object.

Parameters:
  `conn` - Connection object.

### Method Detail

#### getGeneratedKeys

    public abstract ResultSet getGeneratedKeys()
                                        throws SQLException

Throws:
  `SQLException`

#### checkOpen

    protected void checkOpen()
                      throws SQLException

Throws:
  `SQLException`

#### close

    public void close()
               throws SQLException

Throws:
  `SQLException`

#### quote

    protected static String quote(String tableName)

Adds SQL string quotes to the given string.

Parameters:
  `tableName` - The string to quote.
Returns:
  The quoted string.

#### escape

    protected String escape(String val)

Applies SQL escapes for special characters in a given string.

Parameters:
  `val` - The string to escape.
Returns:
  The SQL escaped string.

#### finalize

    protected void finalize()
                     throws Throwable

Overrides:
  `finalize` in class `Object`
Throws:
  `Throwable`
See Also:
  `Object.finalize()`